API Reference
Deprecated
Deprecated compatibility response. Use POST /projects/{projectId}/timeline/operations/execute.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Header Parameters
Idempotency-Key?string
Retry key (8-200 characters). Reusing it with identical input returns the original response; different input returns 409.
Match
^[A-Za-z0-9._:-]+$Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/timeline/trim" \ -H "Content-Type: application/json" \ -d '{ "timeline_item_id": "string" }'{ "success": true, "timeline_item_id": "string", "trim_start_units": 0, "trim_end_units": 0, "trim_start_seconds": 0, "trim_end_seconds": 0, "new_duration_seconds": 0, "message": "string"}